Loading...
Searching...
No Matches
Opm::BlackoilAquiferModel< TypeTag > Class Template Reference

Class for handling the blackoil aquifer model. More...

`#include <BlackoilAquiferModel.hpp>`

## Public Member Functions

| BlackoilAquiferModel (Simulator &simulator)
void | initialSolutionApplied ()
void | initFromRestart (const data::Aquifers &aquiferSoln)
void | beginEpisode ()
void | beginTimeStep ()
void | beginIteration ()
template<class Context>
void | addToSource (RateVector &rates, const Context &context, unsigned spaceIdx, unsigned timeIdx) const
void | addToSource (RateVector &rates, unsigned globalSpaceIdx, unsigned timeIdx) const
void | endIteration ()
void | endTimeStep ()
void | endEpisode ()
data::Aquifers | aquiferData () const
template<class Restarter>
void | serialize (Restarter &res)
template<class Restarter>
void | deserialize (Restarter &res)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Protected Types

using | ElementContext = GetPropType<TypeTag, Properties::ElementContext>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>

## Protected Member Functions

void | init ()

## Protected Attributes

Simulator & | simulator_
std::vector< std::unique_ptr< AquiferInterface< TypeTag > > > | aquifers

## Detailed Description

template<typename TypeTag>
class Opm::BlackoilAquiferModel< TypeTag >

Class for handling the blackoil aquifer model.

The documentation for this class was generated from the following files:

- opm/simulators/aquifers/BlackoilAquiferModel.hpp
- opm/simulators/aquifers/BlackoilAquiferModel_impl.hpp